OpenVDB 5.1.0

Public Types | List of all members
CopyConstness< FromType, ToType > Struct Template Reference

`#include <TreeIterator.h>`

## Public Types
using | Type = typename std::remove_const< ToType >::type

## Detailed Description

### template<typename FromType, typename ToType>
struct openvdb::v5_1::tree::CopyConstness< FromType, ToType >

CopyConstness<T1, T2>::Type is either const T2 or T2 with no const qualifier, depending on whether T1 is const. For example,

- CopyConstness<int, int>::Type is int
- CopyConstness<int, const int>::Type is int
- CopyConstness<const int, int>::Type is const int
- CopyConstness<const int, const int>::Type is const int

## Member Typedef Documentation

## ◆ Type

using Type = typename std::remove_const<ToType>::type

The documentation for this struct was generated from the following file:

- TreeIterator.h